Subject: Re: eval

From: Zheng Gengbing <[email-masked]>
Date: Thu, 30 May 1996 08:12:23 +0800 (EAT)

On Wed, 29 May 1996, Guansong Zhang wrote:

> I don't understand the following code in configure.in:
> 
> eval seems a csh command, I am not sure, why not just
> 
> if [ ${YACC}=yacc ] ...
> 
> ---------------------------------
> 
> dnl determine the special yacc flag used in HP9000
> YYFLAG_L=" -dvt"
> if eval "test \"`echo '$''{'ac_cv_prog_YACC'}'`\" = 'yacc'"
> then
> case "$target" in
> *hpux* )   YYFLAG_L=" -Nc8000 -Na20000 -Nm20000 -Ns2500 -Nl1200 -Np1000 -dvt";;
> esac
> fi
> 

	This is the code I copied from configure itself , so I think it
will be more better . And eval is not a csh command , it's sh's .

Zheng